org.apache.tomcat.websocket.server

## Class WsFrameServer

- java.lang.Object
- - org.apache.tomcat.websocket.WsFrameBase
  - - org.apache.tomcat.websocket.server.WsFrameServer

    public class WsFrameServer
    extends WsFrameBase

### Field Summary

### Fields inherited from class org.apache.tomcat.websocket.WsFrameBase

`inputBuffer, writePos, wsSession`

### Constructor Summary

Constructors
Constructor and Description
`WsFrameServer(AbstractServletInputStream sis, WsSession wsSession)`

### Method Summary

Methods
`protected boolean` `isMasked()`
`void` `onDataAvailable()` Called when there is data in the ServletInputStream to process.

### Methods inherited from class org.apache.tomcat.websocket.WsFrameBase

`byteArrayToLong, isOpen, processInputBuffer`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WsFrameServer

    public WsFrameServer(AbstractServletInputStream sis,
                 WsSession wsSession)

### Method Detail

#### onDataAvailable

    public void onDataAvailable()
                         throws IOException

Called when there is data in the ServletInputStream to process.

Throws:
  `IOException`

#### isMasked

    protected boolean isMasked()

Specified by:
  `isMasked` in class `WsFrameBase`